Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.ui
Interface UIProviderRegistry

All Known Implementing Classes:
  UIProviderRegistryImpl

    public interface UIProviderRegistry

Since:
  1.1
Author:
  Eike Stepper

Field Summary
`static UIProviderRegistry` | `INSTANCE` This is the Instance to use for the `UIProviderRegistry`.

Method Summary
`UIProvider` | `getUIProvider(Object adaptable)` It the adaptable is ECPProviderAware then the `UIProvider` that corresponds to the `ECPProvider` is returned.
`UIProvider` | `getUIProvider(String name)` Returns the `UIProvider` by its name.
`Collection<UIProvider>` | `getUIProviders()` Returns all known `UIProvider`.
`boolean` | `hasUIProviders()` Whether any `UIProvider` are registered.

Field Detail

### INSTANCE

    static final UIProviderRegistry INSTANCE

  This is the Instance to use for the `UIProviderRegistry`.

Method Detail

### getUIProvider

    UIProvider getUIProvider(Object adaptable)

  It the adaptable is ECPProviderAware then the `UIProvider` that corresponds to the `ECPProvider` is returned. Otherwise the AdapterUtil tries to resolve this.

  Parameters:
    `adaptable` - the Object to adapt
  Returns:
    the `UIProvider` or null if none was found

### getUIProvider

    UIProvider getUIProvider(String name)

  Returns the `UIProvider` by its name.

  Parameters:
    `name` - the name of the ui provider
  Returns:
    the `UIProvider` or null if none was found

### getUIProviders

    Collection<UIProvider> getUIProviders()

  Returns all known `UIProvider`.

  Returns:
    the array containing all known `UIProvider`

### hasUIProviders

    boolean hasUIProviders()

  Whether any `UIProvider` are registered.

  Returns:
    true if at least one `UIProvider` is registered, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.